# Module: montage/core/geometry/point

### Requires

- module:montage/core/core

### Classes

Point

### Methods

#### (inner) interpolate(percent, point0, point1, precision)

Interpolates between two points.

##### Parameters:

Name | Type | Description
--- | --- | ---
`percent` | Axis | The interpolation percentage.
`point0` | Axis | The 0 interpolation point.
`point1` | Axis | The 1 interpolation point.
`precision` | Axis | The interpolation precision.

Source:
  - core/geometry/point.js, line 53

##### Returns:

new Point().init(xValue, yValue)